WHITE-BRAND ERROR: Unable to Contact API and use Older Cache